package com.chenyang.druid.sql.ast.statement;

import com.chenyang.druid.sql.ast.SQLExpr;
import com.chenyang.druid.sql.ast.SQLObjectImpl;
import com.chenyang.druid.sql.visitor.SQLASTVisitor;
import java.util.ArrayList;

public class SQLAlterTablespaceRenameDatafile extends SQLObjectImpl implements SQLAlterTablespacleItem {
   protected ArrayList<SQLExpr> filepaths = new ArrayList();
   protected ArrayList<SQLExpr> toFilepaths = new ArrayList();

   protected void accept0(SQLASTVisitor visitor) {
      if (visitor.visit(this)) {
      }

      visitor.endVisit(this);
   }

   public ArrayList<SQLExpr> getFilepaths() {
      return this.filepaths;
   }

   public void setFilepaths(ArrayList<SQLExpr> filepaths) {
      this.filepaths = filepaths;
   }

   public ArrayList<SQLExpr> getToFilepaths() {
      return this.toFilepaths;
   }

   public void setToFilepaths(ArrayList<SQLExpr> toFilepaths) {
      this.toFilepaths = toFilepaths;
   }
}
